package node

import (
	"blazing/logic/service/fight/info"
	"blazing/logic/service/fight/input"
)

// 返回false阻止继续运行
// 回合开始
func (this *EffectNode) AfterAttr(t *info.BattlePetEntity) {

}

// 返回false阻止继续运行
// 回合开始
func (this *EffectNode) BeferAttr(t *info.BattlePetEntity) {

}

func (this *EffectNode) BeforeMultiHit() bool {
	panic("not implemented") // TODO: Implement
}

// 回合结束前
func (this *EffectNode) BeforeCalculateDamage(opp *input.Input, skill *info.SkillEntity) {
	panic("not implemented") // TODO: Implement
}

func (this *EffectNode) PreDamage() bool {
	panic("not implemented") // TODO: Implement
}

func (this *EffectNode) CalculateDamage(opp *input.Input, skill *info.SkillEntity) {
	panic("not implemented") // TODO: Implement
}

func (this *EffectNode) OnDamage() bool {
	panic("not implemented") // TODO: Implement
}

func (this *EffectNode) Shield() bool {
	panic("not implemented") // TODO: Implement
}

func (this *EffectNode) PostDamage() bool {
	panic("not implemented") // TODO: Implement
}

 

func (this *EffectNode) OnDefeat() bool {
	panic("not implemented") // TODO: Implement
}
